/**
 * generated by Xtext
 */
package org.eclipse.etrice.core.fsm.fSM.impl;

import org.eclipse.emf.ecore.EClass;

import org.eclipse.etrice.core.fsm.fSM.FSMPackage;
import org.eclipse.etrice.core.fsm.fSM.InitialTransition;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Initial Transition</b></em>'.
 * <!-- end-user-doc -->
 *
 * @generated
 */
public class InitialTransitionImpl extends TransitionImpl implements InitialTransition
{
	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected InitialTransitionImpl()
	{
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass()
	{
		return FSMPackage.Literals.INITIAL_TRANSITION;
	}

} //InitialTransitionImpl
